WORKFLOWS
List Workflows
Retrieve a list of workflows in a workspace.
GET
/
v1
/
{workspace}
/
workflow
/
List Workflows
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/workflow/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/workflow/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/workflow/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 92,
"limit": 10,
"offset": 0
},
"results": [
{
"$schema": "https://schema.suprsend.com/workflow/v1/schema.json",
"slug": "survey-reminder",
"is_enabled": true,
"created_at": "2025-06-27T03:26:48.793551Z",
"last_executed_at": "2025-06-27T04:48:20.653366Z",
"name": "Survey Reminder",
"description": null,
"updated_at": "2025-06-27T03:36:05.623939Z",
"commit_message": "Survey completed",
"hash": "ed3e630c1526170564c962db00dbfcfef997e995f62f67c068a8c9c1d5efbc13",
"status": "active",
"category": "transactional",
"tags": [
"reminder"
],
"ratelimit": null,
"conditions": [],
"trigger_type": "api",
"trigger_events": [],
"override_recipients_type": null,
"override_recipients_user_expr": null,
"override_recipients_single_object_fields_expr": null,
"override_actor_user_expr": null,
"override_tenant_expr": null,
"active_at": "2025-06-27T03:36:05.623845Z",
"updated_by": {
"name": "Jane Doe",
"email": "user@example.com"
},
"tree": {
"nodes": [
{
"name": "Multi-Channel",
"node_type": "send_multi_channel",
"properties": {
"template": "11-performance-review-session",
"channels": [],
"channels_expr": null,
"success": "seen",
"success_is_event": false
},
"description": "",
"schema_version": "1"
}
]
},
"validation_result": {
"is_valid": true
}
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "workspace 'demo' not found",
"detail": "workspace 'demo' not found"
}Authorizations
You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.
Path Parameters
Workspace slug (staging, production, etc.)
Query Parameters
Mode to filter workflows (draft or live). By default, draft workflows are returned.
Available options:
draft, live Comma-separated list of workflow slugs to filter. This can be used to filter workflows by slug.
Was this page helpful?
Previous
Enable/Disable WorkflowEnable or disable a workflow. Disabled workflows will not be executed when triggered. By default, workflows are enabled unless you explicitly disable them.
Next
⌘I
List Workflows
curl -X GET "https://management-api.suprsend.com/v1/{workspace}/workflow/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/workflow/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/workflow/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 92,
"limit": 10,
"offset": 0
},
"results": [
{
"$schema": "https://schema.suprsend.com/workflow/v1/schema.json",
"slug": "survey-reminder",
"is_enabled": true,
"created_at": "2025-06-27T03:26:48.793551Z",
"last_executed_at": "2025-06-27T04:48:20.653366Z",
"name": "Survey Reminder",
"description": null,
"updated_at": "2025-06-27T03:36:05.623939Z",
"commit_message": "Survey completed",
"hash": "ed3e630c1526170564c962db00dbfcfef997e995f62f67c068a8c9c1d5efbc13",
"status": "active",
"category": "transactional",
"tags": [
"reminder"
],
"ratelimit": null,
"conditions": [],
"trigger_type": "api",
"trigger_events": [],
"override_recipients_type": null,
"override_recipients_user_expr": null,
"override_recipients_single_object_fields_expr": null,
"override_actor_user_expr": null,
"override_tenant_expr": null,
"active_at": "2025-06-27T03:36:05.623845Z",
"updated_by": {
"name": "Jane Doe",
"email": "user@example.com"
},
"tree": {
"nodes": [
{
"name": "Multi-Channel",
"node_type": "send_multi_channel",
"properties": {
"template": "11-performance-review-session",
"channels": [],
"channels_expr": null,
"success": "seen",
"success_is_event": false
},
"description": "",
"schema_version": "1"
}
]
},
"validation_result": {
"is_valid": true
}
}
]
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "workspace 'demo' not found",
"detail": "workspace 'demo' not found"
}